---
title: StyleSheet.disabled
slug: Web/API/StyleSheet/disabled
tags:
  - API
  - CSS
  - CSSOM
  - Disabled
  - Property
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p class="summary">The <code><strong>disabled</strong></code> property of the {{domxref("StyleSheet")}} interface determines whether the style sheet is prevented from applying to the document.</p>

<p>A style sheet may be disabled by manually setting this property to <code>true</code> or if it's an inactive <a href="/en-US/docs/Web/CSS/Alternative_style_sheets">alternative style sheet</a>. Note that <code>disabled == false</code> does not guarantee the style sheet is applied (it could be removed from the document, for instance).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>bool</em> = stylesheet.disabled
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">// If the stylesheet is disabled...
if (stylesheet.disabled) {
  // ... apply styles in-line.
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-stylesheet-disabled", "StyleSheet.disabled")}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td>No change from {{SpecName("DOM2 Style")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM2 Style", "stylesheets.html#StyleSheets-StyleSheet-disabled", "StyleSheet.disabled")}}</td>
   <td>{{Spec2("DOM2 Style")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StyleSheet.disabled")}}</p>
